fdback.iofdback.io

Toggle vote

Toggle the current user's vote on a feedback post. If already voted, the vote is removed. If not voted, a vote is added.

POST
/posts/{id}/votes

Authorization

bearerAuth
AuthorizationBearer <token>

API key with sk_live_ or sk_test_ prefix. Create keys in your workspace settings.

In: header

Path Parameters

id*string

Post ID

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.fdback.io/api/v1/posts/string/votes"
{
  "data": {
    "voted": true,
    "votesCount": 0
  },
  "test": true
}
{
  "error": {
    "code": "BAD_REQUEST",
    "message": "Missing required field: title",
    "status": 400
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid API key.",
    "status": 401
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Too many requests. Please try again later.",
    "status": 429
  }
}